function [ messages ] = CreateChannelMessages_roughExponential( numInsts, numPeriods )

messages = zeros(numInsts, numPeriods);

for i=1:numInsts,
        inst_msgs = (5000 + 1000 .* randn(numPeriods,1));
        messages(i,:) = inst_msgs;
end


n1 = 0;
n2 = 0;
n3 = 0;
n4 = 0;
n5 = 0;

for i=1:numPeriods
   if mod(i,390) == 0
      n1 = randi(25);
      n2 = randi(25);
      n3 = randi(25);
      n4 = randi(25);
      n5 = randi(25);
   end
   
   for j=1:n1
       messages(j,i) = (50000 + 10000 .* randn(1,1));
   end
   
   nextStock = n1+1;
   
   for j=nextStock:nextStock+n2
       messages(j,i) = (40000 + 8000 .* randn(1,1));
   end
   
   nextStock = nextStock+n2;
   
   for j=nextStock:nextStock+n3
       messages(j,i) = (30000 + 6000 .* randn(1,1));
   end
   
   nextStock = nextStock+n3;
   
   for j=nextStock:nextStock+n4
       messages(j,i) = (20000 + 4000 .* randn(1,1));
   end
   
   nextStock = nextStock+n4;
   
   for j=nextStock:nextStock+n5
       messages(j,i) = (10000 + 2000 .* randn(1,1));
   end
end

end

